{
 "metadata": {
  "name": "",
  "signature": "sha256:da6a3d73881e321e5ef406aea3e7d706c9dd405c94675318afde957d292f9cb9"
 },
 "nbformat": 3,
 "nbformat_minor": 0,
 "worksheets": [
  {
   "cells": [
    {
     "cell_type": "heading",
     "level": 1,
     "metadata": {},
     "source": [
      "Exploring Beat Frequencies using the `Audio` Object"
     ]
    },
    {
     "cell_type": "markdown",
     "metadata": {},
     "source": [
      "This example uses the `Audio` object and Matplotlib to explore the phenomenon of beat frequencies."
     ]
    },
    {
     "cell_type": "code",
     "collapsed": false,
     "input": [
      "%matplotlib inline\n",
      "import matplotlib.pyplot as plt\n",
      "import numpy as np"
     ],
     "language": "python",
     "metadata": {},
     "outputs": [],
     "prompt_number": 9
    },
    {
     "cell_type": "code",
     "collapsed": false,
     "input": [
      "from IPython.html.widgets import interactive\n",
      "from IPython.display import Audio, display\n",
      "import numpy as np"
     ],
     "language": "python",
     "metadata": {},
     "outputs": [],
     "prompt_number": 10
    },
    {
     "cell_type": "code",
     "collapsed": false,
     "input": [
      "def beat_freq(f1=220.0, f2=224.0):\n",
      "    max_time = 3\n",
      "    rate = 8000\n",
      "    times = np.linspace(0,max_time,rate*max_time)\n",
      "    signal = np.sin(2*np.pi*f1*times) + np.sin(2*np.pi*f2*times)\n",
      "    print(f1, f2, abs(f1-f2))\n",
      "    display(Audio(data=signal, rate=rate))\n",
      "    return signal"
     ],
     "language": "python",
     "metadata": {},
     "outputs": [],
     "prompt_number": 11
    },
    {
     "cell_type": "code",
     "collapsed": false,
     "input": [
      "v = interactive(beat_freq, f1=(200.0,300.0), f2=(200.0,300.0))\n",
      "display(v)"
     ],
     "language": "python",
     "metadata": {},
     "outputs": [
      {
       "output_type": "stream",
       "stream": "stdout",
       "text": [
        "(220.0, 224.0, 4.0)\n"
       ]
      },
      {
       "html": [
        "\n",
        "                <audio controls=\"controls\" >\n",
        "                    <source src=\"data:audio/wav;base64,[encoded data, 64060 characters]\" type=\"audio/wav\" />\n",
        "                    Your browser does not support the audio element.\n",
        "                </audio>\n",
        "              "
       ],
       "metadata": {},
       "output_type": "display_data",
       "text": [
        "<IPython.lib.display.Audio at 0x1087cb450>"
       ]
      }
     ],
     "prompt_number": 12
    },
    {
     "cell_type": "code",
     "collapsed": false,
     "input": [
      "v.kwargs"
     ],
     "language": "python",
     "metadata": {},
     "outputs": [
      {
       "metadata": {},
       "output_type": "pyout",
       "prompt_number": 13,
       "text": [
        "{u'f1': 220.0, u'f2': 224.0}"
       ]
      }
     ],
     "prompt_number": 13
    },
    {
     "cell_type": "code",
     "collapsed": false,
     "input": [
      "f1, f2 = v.children\n",
      "f1.value = 255\n",
      "f2.value = 260\n",
      "plt.plot(v.result[0:6000])"
     ],
     "language": "python",
     "metadata": {},
     "outputs": [
      {
       "output_type": "stream",
       "stream": "stdout",
       "text": [
        "(255.0, 260.0, 5.0)\n"
       ]
      },
      {
       "html": [
        "\n",
        "                <audio controls=\"controls\" >\n",
        "                    <source src=\"data:audio/wav;base64,[encoded data, 64060 characters]\" type=\"audio/wav\" />\n",
        "                    Your browser does not support the audio element.\n",
        "                </audio>\n",
        "              "
       ],
       "metadata": {},
       "output_type": "display_data",
       "text": [
        "<IPython.lib.display.Audio at 0x1087cb690>"
       ]
      },
      {
       "metadata": {},
       "output_type": "pyout",
       "prompt_number": 14,
       "text": [
        "[<matplotlib.lines.Line2D at 0x1087ee990>]"
       ]
      },
      {
       "metadata": {},
       "output_type": "display_data",
       "png": "iVBORw0KGgoAAAANSUhEUgAAAYMAAAEACAYAAABRQBpkAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz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\n",
       "text": [
        "<matplotlib.figure.Figure at 0x106a14450>"
       ]
      }
     ],
     "prompt_number": 14
    }
   ],
   "metadata": {}
  }
 ]
}